declare type appUpdateType = 'IMMEDIATE' | 'FLEXIBLE';
/**
 *@returns {Promise<string>}
 */
export declare function checkisUpdateAvailable(): Promise<string>;
/**
 * @param {appUpdateType} appUpdateType
 * @param {string} clientVersionStalenessDays
 * @returns {Promise<string>}
 *
 */
export declare function startUpdate(appUpdateType: appUpdateType, clientVersionStalenessDays?: number): Promise<string>;
/**
 * @return {promise<string>}
 */
export declare function onCompleteUpdate(): Promise<string>;
export {};
